Product Documentation

Anforderungen für Benutzergeräte

Sep 15, 2015

StoreFront bietet Benutzern verschiedene Optionen für den Zugriff auf Desktops und Anwendungen. Citrix Receiver-Benutzer können entweder über Citrix Receiver auf Stores zugreifen oder einen Webbrowser verwenden, um sich bei einer Receiver für Web-Site für den Store anzumelden. Benutzern, die Citrix Receiver nicht installieren können, jedoch einen HTML5-kompatiblen Webbrowser haben, können Sie direkten Zugriff auf Desktops und Anwendungen im Webbrowser ermöglichen, indem Sie Receiver für HTML5 für Ihre Receiver für Web-Site aktivieren.

Benutzer mit nicht domänengebundenen Desktopgeräten können auf ihre Desktops über ihren Webbrowser zugreifen, der für den Zugriff auf Desktopgerätesites konfiguriert ist. Benutzer von domänengebundenen Desktopgeräten und umfunktionierten PCs, auf denen Citrix Desktop Lock ausgeführt wird, sowie Benutzer mit älteren Citrix Clients, die nicht aktualisiert werden können, können über die XenApp-Services-URL direkt auf Stores zugreifen.

Wenn Sie Offlineanwendungen bereitstellen möchten, ist neben Citrix Receiver für Windows auch das Citrix Offline Plug-In erforderlich. Wenn Sie Microsoft Application Virtualization (App-V)-Sequenzen für Benutzer bereitstellen möchten, wird außerdem eine unterstützte Version von Microsoft Application Virtualization Desktop Client benötigt. Weitere Informationen finden Sie unter Veröffentlichen von Anwendungen für Streaming und Veröffentlichen von App-V-Sequenzen in XenApp. Benutzer können nicht über Receiver für Web-Sites auf Offlineanwendungen oder App-V-Sequenzen zugreifen.

Es wird vorausgesetzt, dass alle Benutzergeräte die Mindestanforderungen an die Hardware für das installierte Betriebssystem erfüllen.

Anforderungen für den Zugriff auf Stores in Citrix Receiver

Die folgenden Citrix Receiver-Versionen können für den Zugriff auf StoreFront-Stores über interne Netzwerkverbindungen und über NetScaler Gateway verwendet werden. Verbindungen über NetScaler Gateway können mit dem NetScaler Gateway Plug-In und/oder über clientlosen Zugriff hergestellt werden.

  • Citrix Receiver für Windows 8/RT
  • Citrix Receiver für Windows 4.3
  • Citrix Receiver für Windows 4.2
  • Citrix Receiver für Windows 4.1
  • Citrix Receiver für Windows 4.0
  • Citrix Receiver für Windows 3.4
  • Citrix Receiver für Mac
  • Citrix Receiver für iOS
  • Citrix Receiver für Android 3.6
  • Citrix Receiver für Android 3.7
  • Citrix Receiver für Linux

Lebenszyklusinformationen für Citrix Receiver finden Sie unter Lifecycle Milestones for Citrix Receiver.

Anforderungen für den Zugriff auf Stores über Receiver für Web-Sites

Die folgenden Kombinationen aus Citrix Receiver, Betriebssystem und Webbrowser werden für den Zugriff auf Receiver für Web-Sites über interne Netzwerkverbindungen und NetScaler Gateway empfohlen. Verbindungen über NetScaler Gateway können mit dem NetScaler Gateway Plug-In oder über clientlosen Zugriff hergestellt werden.

  • Citrix Receiver für Windows 4.1, 4.2 und 4.3
    • Windows 8.1 (32-Bit- und 64-Bit-Edition)
      • Internet Explorer 11 (32-Bit-Modus)
      • Google Chrome 33
      • Mozilla Firefox 32
      • Mozilla Firefox 31
    • Windows 8 (32-Bit- und 64-Bit-Edition)
      • Internet Explorer 10 (32-Bit-Modus)
      • Google Chrome 33
      • Google Chrome 32
      • Mozilla Firefox 32
      • Mozilla Firefox 31
    • Windows 7 mit Service Pack 1 (32-Bit- und 64-Bit-Editionen)
      • Internet Explorer 10 (32-Bit-Modus)
      • Internet Explorer 9 (32-Bit-Modus)
      • Internet Explorer 8 (32-Bit-Modus)
      • Google Chrome 33
      • Google Chrome 32
      • Mozilla Firefox 32
      • Mozilla Firefox 31
    • Windows Embedded Standard 7 Service Pack 1 oder Windows Thin PC
      • Internet Explorer 10 (32-Bit-Modus)
      • Internet Explorer 9 (32-Bit-Modus)
      • Internet Explorer 8 (32-Bit-Modus)
    • Windows Vista mit Service Pack 2 (32-Bit- und 64-Bit-Edition), Windows Embedded XP
      • Internet Explorer 9 (32-Bit-Modus)
      • Internet Explorer 8 (32-Bit-Modus)
      • Google Chrome 33
      • Google Chrome 32
      • Mozilla Firefox 32
      • Mozilla Firefox 31
    • Windows Embedded Standard 2009
      • Internet Explorer 8 (32-Bit-Modus)
  • Citrix Receiver für Windows 4.0 oder Citrix Receiver für Windows 3.4
    • Windows 8 (32-Bit- und 64-Bit-Edition)
      • Internet Explorer 10 (32-Bit-Modus)
      • Google Chrome 33
      • Google Chrome 32
      • Mozilla Firefox 27
      • Mozilla Firefox 26
    • Windows 7 mit Service Pack 1 (32-Bit- und 64-Bit-Editionen)
      • Internet Explorer 10 (32-Bit-Modus)
      • Internet Explorer 9 (32-Bit-Modus)
      • Internet Explorer 8 (32-Bit-Modus)
      • Google Chrome 33
      • Google Chrome 32
      • Mozilla Firefox 27
      • Mozilla Firefox 26
    • Windows Embedded Standard 7 Service Pack 1 oder Windows Thin PC
      • Internet Explorer 10 (32-Bit-Modus)
      • Internet Explorer 9 (32-Bit-Modus)
      • Internet Explorer 8 (32-Bit-Modus)
    • Windows Vista mit Service Pack 2 (32-Bit- und 64-Bit-Edition), Windows Embedded XP
      • Internet Explorer 9 (32-Bit-Modus)
      • Internet Explorer 8 (32-Bit-Modus)
      • Google Chrome 33
      • Google Chrome 32
      • Mozilla Firefox 27
      • Mozilla Firefox 26
    • Windows Embedded Standard 2009
      • Internet Explorer 8 (32-Bit-Modus)
  • Citrix Receiver für Mac 11.8 oder Citrix Receiver für Mac 11.7
    • Mac OS X 10.9 Mavericks
      • Safari 7
      • Google Chrome 33
      • Mozilla Firefox 27
    • Mac OS X 10.8 Mountain Lion
      • Safari 6
      • Google Chrome 33
      • Mozilla Firefox 27
    • Mac OS X 10.7 Lion
      • Safari 5,1
      • Google Chrome 33
      • Mozilla Firefox 27
    • Mac OS X 10.6 Snow Leopard
      • Safari 5,0
      • Google Chrome 33
      • Mozilla Firefox 27
  • Citrix Receiver für Linux 12.1 oder Citrix Receiver für Linux 13
    • Google Chrome 33
    • Mozilla Firefox 27
  • Citrix Receiver für Android 3.6 – Hinweis: Benutzer müssen die ICA-Datei manuell öffnen.
    • Android 4.x und 5.0
      • Chrome für Android
      • Der Standardbrowser auf dem Gerät.
  • Citrix Receiver für iOS 5.9 – Hinweis: Benutzer müssen die ICA-Datei manuell öffnen.
    • iOS 6.1.x, 7 und 8
      • Safari

Anforderungen für den Zugriff auf Desktops und Anwendungen über Receiver für HTML5

Die folgenden Betriebssysteme und Webbrowser werden für den Zugriff auf Desktops und Anwendungen mit Receiver für HTML5 auf Receiver für Web-Sites empfohlen. Es werden sowohl interne Netzwerkverbindungen als auch Verbindungen über NetScaler Gateway unterstützt. Bei Verbindungen über das interne Netzwerk unterstützt Receiver für HTML5 allerdings nur den Zugriff auf Ressourcen, die von bestimmten Produkten bereitgestellt werden. Außerdem sind bestimmte Versionen von NetScaler Gateway erforderlich, um Verbindungen von außerhalb des Unternehmensnetzwerks zu ermöglichen. Weitere Informationen finden Sie unter Anforderungen an die Infrastruktur.

  • Browser
    • Internet Explorer 11 (nur HTTP-Verbindungen)
    • Internet Explorer 10 (nur HTTP-Verbindungen)
    • Safari 7
    • Google Chrome 33
    • Mozilla Firefox 27
  • Betriebssysteme
    • Windows RT
    • Windows 8.1 (32-Bit- und 64-Bit-Edition)
    • Windows 8 (32-Bit- und 64-Bit-Edition)
    • Windows 7 mit Service Pack 1 (32-Bit- und 64-Bit-Editionen)
    • Windows Vista mit Service Pack 2 (32-Bit- und 64-Bit-Editionen)
    • Windows Embedded XP
    • Mac OS X 10.9 Mavericks
    • Mac OS X 10.8 Mountain Lion
    • Mac OS X 10.7 Lion
    • Mac OS X 10.6 Snow Leopard
    • Google Chrome OS 33
    • Ubuntu 12.04 (32 Bit)

Anforderungen für den Zugriff auf Stores über Desktopgerätesites

Die folgenden Kombinationen aus Citrix Receiver, Betriebssystem und Webbrowser werden für den Zugriff auf Desktopgerätesites über interne Netzwerkverbindungen empfohlen. Verbindungen über NetScaler Gateway werden nicht unterstützt.

  • Citrix Receiver für Windows 4.1
    • Windows 8.1 (32-Bit- und 64-Bit-Edition)
      • Internet Explorer 11 (32-Bit-Modus)
    • Windows 8 (32-Bit- und 64-Bit-Edition)
      • Internet Explorer 10 (32-Bit-Modus)
    • Windows 7 Service Pack 1 (32-Bit- und 64-Bit-Edition), Windows Embedded Standard 7 Service Pack 1 oder Windows Thin PC
      • Internet Explorer 9 (32-Bit-Modus)
      • Internet Explorer 8 (32-Bit-Modus)
    • Windows Embedded XP
      • Internet Explorer 8 (32-Bit-Modus)
  • Citrix Receiver für Windows 4.0 oder Citrix Receiver für Windows 3.4
    • Windows 8 (32-Bit- und 64-Bit-Edition)
      • Internet Explorer 10 (32-Bit-Modus)
    • Windows 7 Service Pack 1 (32-Bit- und 64-Bit-Edition), Windows Embedded Standard 7 Service Pack 1 oder Windows Thin PC
      • Internet Explorer 9 (32-Bit-Modus)
      • Internet Explorer 8 (32-Bit-Modus)
    • Windows Embedded XP
      • Internet Explorer 8 (32-Bit-Modus)
  • Citrix Receiver für Windows Enterprise 3.4
    • Windows 7 Service Pack 1 (32-Bit- und 64-Bit-Edition), Windows Embedded Standard 7 Service Pack 1 oder Windows Thin PC
      • Internet Explorer 9 (32-Bit-Modus)
      • Internet Explorer 8 (32-Bit-Modus)
    • Windows Embedded XP
      • Internet Explorer 8 (32-Bit-Modus)
  • Citrix Receiver für Linux 12,1
    • Ubuntu 12.04 (32 Bit)
      • Mozilla Firefox 27

Anforderungen für den Zugriff auf Stores über XenApp Services-URLs

Alle o. g. Versionen von Citrix Receiver können für den Zugriff auf StoreFront-Stores mit reduziertem Funktionsumfang über XenApp Services-URLs verwendet werden. Außerdem können Sie mit dem älteren Client, der keine anderen Zugriffsmethoden unterstützt (Citrix Receiver für Linux 12.0 – nur für interne Netzwerkverbindungen) auf Stores über XenApp Services-URLs zugreifen. Verbindungen über NetScaler Gateway, sofern unterstützt, können mit dem NetScaler Gateway Plug-In oder über clientlosen Zugriff hergestellt werden.

Anforderungen für Smartcards

Anforderungen für die Verwendung von Receiver für Windows 4.X mit Smartcards

Citrix testet die Kompatibilität mit folgenden Smartcards: CAC (Common Access Card, US-Behörden), NIST PIV (National Institute of Standards and Technology Personal Identity Verification, USA) und USB-Smartcardtoken. Sie können Kontaktkartenleser verwenden, die mit der Spezifikation "USB Chip/Smart Card Interface Devices" (CCID) übereinstimmen und vom deutschen Zentralen Kreditausschuss (ZKA) als Klasse 1-Smartcardleser klassifiziert wurden. Bei ZKA Klasse 1-Kontaktkartenlesern müssen Benutzer die Smartcards in den Leser einlegen. Andere Smartcardleser, einschließlich Klasse 2-Leser (mit Tastatur für die PIN-Eingabe), kontaktlose Leser und virtuelle TPM-Chip-basierte (Trusted Platform Module) Smartcards werden nicht unterstützt.

Für Windows-Geräte basiert die Smartcard-Unterstützung auf dem PC/SC-Standard (Personal Computer/Smart Card) von Microsoft. Als Mindestanforderung müssen Smartcards und Smartcardleser vom Betriebssystem unterstützt werden und über die Windows-Hardwarezertifizierung verfügen.

Die folgenden Kombinationen aus Smartcard und Middleware wurden von Citrix als repräsentatives Beispiel ihres Typs getestet. Es können jedoch auch andere Smartcards und Middleware verwendet werden. Weitere Informationen über Citrix-kompatible Smartcards und Middleware finden Sie unter http://www.citrix.com/ready.

Middleware-Implementierung

Smartcard

HID Global ActivClient 7.0 im Modus GSC-IS oder NIST PIV

CAC

HID Global ActivClient 6.2 CAC Edition im Modus GSC-IS

CAC

NIST PIV

Gemalto Minidriver 8.3 für .NET-Smartcard

Gemalto IDPrime .NET 510

SafeNet Authentication Client 8.0 für Windows

SafeNet eToken 5100

GSC-IS (USA) Government Smart Card Interoperability Specifications

Anforderungen für die Verwendung von Desktopgerätesites mit Smartcards

Für Benutzer mit Desktopgeräten und umfunktionierten PCs, auf denen Citrix Desktop Lock ausgeführt wird, ist Citrix Receiver für Windows Enterprise 3.4 für die Smartcardauthentifizierung erforderlich. Auf allen anderen Windows-Geräten kann Citrix Receiver für Windows 4.1 verwendet werden.

Anforderungen für die Verwendung von Receiver für Android mit Smartcards

Smartcardauthentifizierung bei NetScaler Gateway ab StoreFront 2.x und XenDesktop 5.6 sowie ab XenApp 6.5.

Unterstützte Smartcardleser:

  • BaiMobile 3000MP Bluetooth-Smartcardleser

Unterstützte Smartcards:

  • PIV-Karten
  • Common Access Card

Anforderungen für die Verwendung von Receiver für iOS mit Smartcards

Smartcardauthentifizierung bei NetScaler Gateway ab StoreFront 2.x und XenDesktop 5.6 sowie ab XenApp 6.5.

Unterstützte Smartcardleser:

  • Precise Biometrics Tactivo für iPad Mini
  • Precise Biometrics Tactivo für iPad (4. Generation) und Tactivo für iPad (3. Generation) und iPad 2
  • Thursby TSS-PK7 und PK8 Smartcardleser
  • BaiMobile 3000MP Bluetooth-Smartcardleser

Unterstützte Smartcards:

  • PIV-Karten
  • Common Access Card

Anforderungen für die Verwendung von Receiver für Linux 13.1 mit Smartcards und XenApp Services-Support

Folgende Smartcards und Leser werden unterstützt:

Smartcards:

  • Smartcards mit PKCS#11-Treibern für die entsprechende Linux-Plattform

Smartcardleser:

  • CCID-kompatible Leser

Anforderungen für die Authentifizierung über NetScaler Gateway

Die folgenden Versionen von NetScaler Gateway können verwendet werden, um Benutzern in öffentlichen Netzwerken den Zugriff auf StoreFront mit Smartcardauthentifizierung zu ermöglichen.

  • NetScaler Gateway 10.1
  • Access Gateway 10, Build 69.4 (die Versionsnummer wird oben im Konfigurationsprogramm angezeigt)
  • Access Gateway 9.3, Enterprise Edition